function t(e) {
  return new Promise(function(r) {
    var n = document.createElement("img");
    n.onerror = function() {
      return r(!1);
    }, n.onload = function() {
      return r(!0);
    }, n.src = e;
  });
}
export {
  t as isImageValid
};
